Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class MapModeCodeGenStrategy

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.MapModeCodeGenStrategy

Direct Known Subclasses:
  MapModeCodeGenStrategy.RuntimeUnspecifiedMapMode, MapModeCodeGenStrategy.StaticIdentityMapMode

public abstract class MapModeCodeGenStrategy
extends java.lang.Object

Nested Class Summary
`static class` `MapModeCodeGenStrategy.RuntimeMapModeFromPluginClass`
`static class` `MapModeCodeGenStrategy.RuntimeUnspecifiedMapMode`
`static class` `MapModeCodeGenStrategy.StaticIdentityMapMode`

Constructor Summary
`MapModeCodeGenStrategy()`

Method Summary
`abstract java.lang.String` `DPtoLP(int deviceUnit)`
`abstract java.lang.String` `LPtoDP(int logicalUnit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapModeCodeGenStrategy

    public MapModeCodeGenStrategy()

Method Detail

### LPtoDP

    public abstract java.lang.String LPtoDP(int logicalUnit)

### DPtoLP

    public abstract java.lang.String DPtoLP(int deviceUnit)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.